from django.urls import path
from django.views.generic import RedirectView

from .views import TournamentListView, TournamentDetailView, TeamDetailView

app_name = "tournament"

urlpatterns = [
    path('list/', TournamentListView.as_view(), name="list"),
    path("add/", RedirectView.as_view(pattern_name="index"), name="add"),
    path('<int:pk>/', TournamentDetailView.as_view(), name="detail"),
    path('team/<int:pk>/', TeamDetailView.as_view(), name="team_detail"),
    path("add-organizer/", RedirectView.as_view(pattern_name="index"), name="add_organizer"),
    path("solutions/", RedirectView.as_view(pattern_name="index"), name="solutions"),
    path("all-solutions/", RedirectView.as_view(pattern_name="index"), name="all_solutions"),
    path("syntheses/", RedirectView.as_view(pattern_name="index"), name="syntheses"),
    path("all_syntheses/", RedirectView.as_view(pattern_name="index"), name="all_syntheses"),
]
